<template>
  <div class="header">
    <div class="header__search">
      <FormInput
        v-model="search"
        :placeholder="$t('header.search')"
      >
        <Icon
          slot="after"
          type="magnifier"
          size="md"
        />
      </FormInput>
    </div>
    <div class="header__side">
      <div class="header__user">
        <div
          class="header__user-image"
          :style="{backgroundImage: `url(${user.image})`}"
        />
        <div class="header__user-info">
          <div class="header__user-name">
            {{ user.name }}
          </div>
          <div class="header__user-role">
            {{ $t(`roles.${user.role}`) }}
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import FormInput from './form/input/FormInput';
import Icon from './Icon';

export default {
  name: 'Header',
  components: { Icon, FormInput },
  data() {
    return {
      search: '',
    };
  },
  computed: {
    ...mapGetters({
      user: 'common/user',
    }),
  },
};
</script>

<style lang="scss">
  .header {
    display: flex;
    align-items: center;

    &__search {
      flex-grow: 1;
      max-width: 620px;
      margin-right: 30px;
    }

    &__side {
      margin-left: auto;
    }

    &__user {
      display: flex;
      align-items: center;

      &-image {
        height: 60px;
        width: 60px;
        border-radius: 100%;
        background: no-repeat center;
        background-size: cover;
      }

      &-info {
        display: grid;
        grid-gap: 4px;
        margin-left: 10px;

        white-space: nowrap;
      }

      &-name {
        font-size: 18px;
        font-weight: bold;
      }

      &-role {
        opacity: .7;
      }
    }
  }
</style>
